// indent:4  tabsize:4  font:fixed-width
//
// The Cribbage Solitaire module.
//
// Copyright 1994 by David Fedchenko.  All rights reserved.
//

//-----------------------------------------------------------------------------
//
//	CribDrawDelegate :Object
//
//	The delegate to handle any requests made of the draw pile.  A very simple
//	bit of code since laying out the cards takes very little processing in
//	this game.
//
//-----------------------------------------------------------------------------

#import <appkit/appkit.h>
#import "../Solitaire/CardSet.subproj/cardset.h"

@interface CribDrawDelegate:Object
	{
	}


//	CardPileView delegation methods

- (BOOL)draggedPile:aCardPile from:aCardPileView;
- removedPile:aCardPile from:aCardPileView;

@end