// indent:4  tabsize:4  font:fixed-width
//
// The Cribbage Solitaire module.
//
// Copyright 1994 by David Fedchenko.  All rights reserved.
//

//-----------------------------------------------------------------------------
//
//	CribLayoutDelegate:Object
//
//	Takes care of the details for the tableau.
//
//-----------------------------------------------------------------------------

#import <appkit/appkit.h>
#import "../Solitaire/CardSet.subproj/cardset.h"

@interface CribLayoutDelegate:Object
	{
	id	idDrawPileView;
	BOOL fStrict;
	}

//	CardPileView delegation methods
- setStrict:(BOOL)flag;
- setDrawPileView:idView;
- clickedCard:aCard in:aCardPileView;
- acceptPile:aCardPile in:aCardPileView;
-(BOOL) canAcceptPile:aCardPile from:sender in:aCardPileView;
-(BOOL) checkValidity:aCardPileView;

@end